Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.uima.analysis_engine
Interface AnalysisEngineServiceStub

All Superinterfaces:
  ResourceServiceStub

    public interface AnalysisEngineServiceStub

extends ResourceServiceStub

A stub that calls a remote AnalysisEngine service.

Method Summary
`void` | `callBatchProcessComplete()` Performs service call to inform the AnalysisEngine that the processing of a batch has been completed.
`void` | `callCollectionProcessComplete()` Performs service call to inform the AnalysisEngine that the processing of a collection has been completed.
`void` | `callProcess(CAS aCAS)` Performs service call to process an entity.

Methods inherited from interface org.apache.uima.resource.ResourceServiceStub
`callGetMetaData, destroy`

Method Detail

### callProcess

    void callProcess(CAS aCAS)
                     throws ResourceServiceException

  Performs service call to process an entity.

  Parameters:
    `aCAS` - the CAS to process
  Throws:
    `ResourceServiceException`

### callBatchProcessComplete

    void callBatchProcessComplete()
                                  throws ResourceServiceException

  Performs service call to inform the AnalysisEngine that the processing of a batch has been completed.

  Throws:
    `ResourceServiceException`

### callCollectionProcessComplete

    void callCollectionProcessComplete()
                                       throws ResourceServiceException

  Performs service call to inform the AnalysisEngine that the processing of a collection has been completed.

  Throws:
    `ResourceServiceException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 The Apache Software Foundation. All Rights Reserved.